# Video to Video

## How to edit videos using the Infron AI API <a href="#how-to-generate-images-using-the-fal-api" id="how-to-generate-images-using-the-fal-api"></a>

{% tabs %}
{% tab title="Curl" %}

<pre class="language-sh"><code class="lang-sh">curl https://video.onerouter.pro/v1/videos/edits \
<strong>    -H "Content-Type: application/json" \
</strong>    -H "Authorization: &#x3C;API_KEY>" \
    -d '{
    "model": "sora-2-video-to-video",
    "video_id": "video_68fc872dba248190875ba0c177c7b0cf0974c02d85a9c020",
    "prompt": "Change the fur color to purple.",
    "output_format": "url"        
  }'
</code></pre>

{% endtab %}
{% endtabs %}

* `https://image.onerouter.pro/v1/images/edits` is the base URL
* `<API_KEY>` is your API Key generated in [API page](https://app.onerouter.pro/apiKeys).
* `model` is the model name, such as `sora-2-pro-image-to-video`, available model list can be access in [Model page](https://app.onerouter.pro/models).
* `video_id` is  from a previous video generation. Note: You can only remix videos that were generated by the same video model (via text-to-video or image-to-video endpoints), not arbitrary uploaded videos.
* `prompt`  directs the remix generation.
* `output_format` indicate the output format, default value is `url`

You can find more models and their descriptions in the [Model page](https://app.onerouter.pro/models).

***

## **Example response**

```json
{
    "data": [
        {
            "url": "https://resource.onerouter.pro/video/generated%2Fonerouter_3bde5366-81ec-4625-ba18-d4df678d589e.mp4",
            "revised_prompt": "",
            "video_id": "video_68fc8c1a362481988ad9551ce2393a810750888f71db29fb"
        }
    ],
    "created": 1761381533
}
```
